skip to navigation
skip to content

importlib-no-failure 1.0.2

Backport of importlib.import_module() from Python 2.7

This package is a copy of importlib on pypi with one small change. If the version of Python already has an importlib (2.7 and greater), it does not fail. It will install the same way on Python 2.6 and Python 2.7, but in the latter it will print out a warning.

This package contains the code from importlib as found in Python 2.7. It is provided so that people who wish to use importlib.import_module() with a version of Python prior to 2.7 or in 3.0 have the function readily available. The code in no way deviates from what can be found in the 2.7 trunk.

For documentation, see the importlib docs for Python 2.7.

 
File Type Py Version Uploaded on Size
importlib-no-failure-1.0.2.tar.gz (md5) Source 2013-03-16 1KB